[Suppression] Gnome (résolu)

Questions et astuces concernant l'installation et la configuration d'archlinux
carl11
yeomen
Messages : 225
Inscription : mer. 21 oct. 2015, 15:00

[Suppression] Gnome (résolu)

Message par carl11 » ven. 31 août 2018, 08:47

Bon j'ai supprimer l'ancien utilisateur Gnome en faisant la commande userdel -r <utilisateur>
Puis supprimer les paquets gnome avec la commande sudo pacman -Rsun gnome pour ne pas casser les dépendance mais maintenant il me reste le groupe de paquet gnome-extra et si je fais la même commande :

Code : Tout sélectionner

yaourt  -Rsun gnome-extra
vérification des dépendances…
avertissement : supprime devhelp de la liste de cible
avertissement : supprime nautilus-sendto de la liste de cible
:: avahi peut nécessiter python-dbus: avahi-discover
:: discover peut nécessiter flatpak: Flatpak packages support
:: dolphin peut nécessiter ruby: installing new service menus from KDE Store
:: empathy peut nécessiter telepathy-idle: IRC support
:: inxi peut nécessiter bind-tools: -i wlan IP
:: libpurple peut nécessiter python-dbus: for purple-remote and purple-url-handler
:: python-pyqt5 peut nécessiter python-dbus: for python-dbus mainloop support
:: qt5-tools peut nécessiter clang: for qdoc
:: subversion peut nécessiter ruby: for some hook scripts
avertissement : cycle de dépendances détecté :
avertissement : rubygems sera supprimé après sa dépendance ruby

Paquets (102) appstream-glib-0.7.10-1  autoconf-archive-1:2018.03.13-2  bind-tools-9.13.2-1  clang-6.0.1-2  compiler-rt-6.0.1-2  ctags-5.8-6  flatpak-1.0.0-1  freerdp-1:2.0.0_rc3-1
              gcab-1.0+2+gc0947f6-1  gtk-vnc-0.9.0-1  idnkit-1.0-4  ipython-6.5.0-2  jsonrpc-glib-3.28.1-1  libcacard-2.5.3-1  libdazzle-3.28.5-1  libgtop-2.38.0+13+gcab8791f-1
              libwnck3-3.24.1-1  ostree-2018.7-1  phodav-2.2-2  python-astroid-2.0.4-1  python-atspi-2.26.0-3  python-babel-2.6.0-2  python-cairo-1.17.0-2  python-dbus-1.2.8-2
              python-decorator-4.3.0-2  python-docutils-0.14-2  python-imagesize-1.0.0-2  python-isort-4.3.4-2  python-jedi-0.12.1-2  python-jinja-2.10-2
              python-lazy-object-proxy-1.3.1-2  python-markupsafe-1.0-2  python-mccabe-0.6.1-2  python-parso-0.3.1-2  python-pexpect-4.6.0-2  python-pickleshare-0.7.4-4
              python-prompt_toolkit-1.0.15-2  python-ptyprocess-0.6.0-2  python-pycodestyle-2.4.0-2  python-pyflakes-2.0.0-2  python-pylint-2.1.1-1  python-pytz-2018.5-2
              python-simplejson-3.16.0-2  python-snowballstemmer-1.2.1-3  python-sphinx-1.7.6-2  python-sphinx-alabaster-theme-0.7.11-2  python-sphinx_rtd_theme-0.4.0-2
              python-sphinxcontrib-websupport-1.1.0-2  python-sqlalchemy-1.2.11-1  python-traitlets-4.3.2-2  python-wcwidth-0.1.7-3  python-whoosh-2.7.4-3  python-wrapt-1.10.11-2
              qqwing-1.3.4-3  ruby-2.5.1-2  ruby-dbus-0.15.0-1  ruby-ffi-1.9.25-1  ruby-maruku-0.7.3-3  ruby-rb-inotify-0.9.10-2  ruby-rdoc-6.0.4-1  ruby-sass-3.5.6-1
              ruby-sass-listen-4.0.0-5  ruby-yard-0.9.14-1  rubygems-2.7.7-1  spice-gtk-0.35-1  telepathy-idle-0.2.0-2  template-glib-3.28.0-1  usbredir-0.7.1-1  whois-5.3.2-1
              xdg-desktop-portal-1.0-1  xdg-desktop-portal-gtk-1.0-1  accerciser-3.22.0-3  atomix-3.22.0-1  dconf-editor-3.28.0-1  five-or-more-3.28.0+2+gfabc580-1
              four-in-a-row-3.28.0+3+g52208eb-1  gedit-code-assistance-3.16.0+4+gd19b879-1  gnome-builder-3.28.4+24+gb86f10bfc-1  gnome-chess-3.28.1-1
              gnome-code-assistance-3.16.1+12+g5418ece-1  gnome-devel-docs-3.28.0-1  gnome-klotski-3.22.3+1+gf33083d-1  gnome-mahjongg-3.22.0+1+g55799c1-1
              gnome-mines-3.28.0+3+g1a1f835-2  gnome-nettool-3.8.1+205+g8550eef-2  gnome-nibbles-3.24.1-1  gnome-robots-3.22.3+2+g985e8e4-1  gnome-sound-recorder-3.28.1-1
              gnome-sudoku-3.28.0+6+g46f2f85-1  gnome-taquin-3.28.0-1  gnome-tetravex-3.22.0+4+g817dbf6-1  gnome-tweaks-3.28.1-2  gnome-weather-3.26.0-1  hitori-3.22.4-1
              iagno-3.28.0-1  lightsoff-3.28.0+1+g2167aa4-1  polari-3.28.1-1  quadrapassel-3.22.0-1  swell-foop-3.28.0+5+g097a72c-1  sysprof-3.28.1-1  tali-3.22.0-1
              vinagre-3.22.0+19+g5f615ff-1

Taille totale supprimée :  403,07 MiB
Dernière édition par carl11 le ven. 31 août 2018, 14:00, édité 1 fois.
CPU : Core i3 6100 @ 3.70ghz | RAM : 8Go DDR4
HD : Sandisk SSD Plus 120Go | CG : ATI Radeon 5450

KDE-Plasma
Archlinux , Firefox , thunderbird.

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 15198
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Suppression] Gnome

Message par benjarobin » ven. 31 août 2018, 09:37

Bonjour,
Je ne vois rien de choquant, mais après j'ai peut être regardé trop vite... C'est quoi le problème ?
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

carl11
yeomen
Messages : 225
Inscription : mer. 21 oct. 2015, 15:00

Re: [Suppression] Gnome

Message par carl11 » ven. 31 août 2018, 10:01

Et bien si je supprime le groupe de paquet gnome-extra avec cette commande est-ce que dolphin par exemple fonctionnera correctement ?
CPU : Core i3 6100 @ 3.70ghz | RAM : 8Go DDR4
HD : Sandisk SSD Plus 120Go | CG : ATI Radeon 5450

KDE-Plasma
Archlinux , Firefox , thunderbird.

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 15198
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Suppression] Gnome

Message par benjarobin » ven. 31 août 2018, 13:18

Oui, pourquoi cela ne serait pas le cas...
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

carl11
yeomen
Messages : 225
Inscription : mer. 21 oct. 2015, 15:00

Re: [Suppression] Gnome

Message par carl11 » ven. 31 août 2018, 14:00

J'ai pris peur en voyant ceci :
dolphin peut nécessiter ruby: installing new service menus from KDE Store.

Mais bon j'ai supprimer le groupe de paquets gnome-extra et ça roule.
J'avoue que les dépendances de paquet c'est encore un peu flou pour moi.
Merci benjarobin. ;)
CPU : Core i3 6100 @ 3.70ghz | RAM : 8Go DDR4
HD : Sandisk SSD Plus 120Go | CG : ATI Radeon 5450

KDE-Plasma
Archlinux , Firefox , thunderbird.

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 15198
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Suppression] Gnome (résolu)

Message par benjarobin » ven. 31 août 2018, 16:12

C'est ce que l'on appelle une dépendance optionnelle : ruby n'est pas forcément nécessaire au bon fonctionnement de dolphin, mais si tu n'as pas ce paquet d'installé alors certaines fonctionnalités seront désactivées : Ici cela correspond à "installing new service menus from KDE Store".
Dans ton cas il y a de forte chance que tu n'en ai pas besoin.
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

carl11
yeomen
Messages : 225
Inscription : mer. 21 oct. 2015, 15:00

Re: [Suppression] Gnome (résolu)

Message par carl11 » ven. 31 août 2018, 19:15

Merci benjarobin pour ces éclaircissements , je ne savais pas qu'il y avait des dépendances optionnelles.
CPU : Core i3 6100 @ 3.70ghz | RAM : 8Go DDR4
HD : Sandisk SSD Plus 120Go | CG : ATI Radeon 5450

KDE-Plasma
Archlinux , Firefox , thunderbird.

Avatar de l’utilisateur
papajoke
Elfe
Messages : 510
Inscription : sam. 30 août 2014, 19:54
Contact :

Re: [Suppression] Gnome (résolu)

Message par papajoke » ven. 31 août 2018, 19:40

bonjour,
fait un pacman -Qi Nom_d'un_paquet et tu vas voir les dépendances optionnelles pour ton paquet
Arch stable - Kde 5 / zsh - btrfs/mbr - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau

Répondre